/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.pdf.page.valueobject;

import java.util.List;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * PDF ブロック・バリューオブジェクト。行繰り返しで利用されます。
 */
@XmlRootElement
public class BlancoPdfBlockDef {
    /**
     * ブロックの名前 (ID)
     *
     * フィールド: [name]。
     */
    private String fName;

    /**
     * PDF unit。72 PDF unit = 1 インチ。
     *
     * フィールド: [x]。
     * デフォルト: [-1]。
     */
    private float fX = -1;

    /**
     * フィールド: [y]。
     * デフォルト: [-1]。
     */
    private float fY = -1;

    /**
     * 繰り返しのずらしピッチ。
     *
     * フィールド: [pitchX]。
     * デフォルト: [-1]。
     */
    private float fPitchX = -1;

    /**
     * フィールド: [pitchY]。
     * デフォルト: [-1]。
     */
    private float fPitchY = -1;

    /**
     * 最大登場回数。
     *
     * フィールド: [maxOccurs]。
     * デフォルト: [-1]。
     */
    private int fMaxOccurs = -1;

    /**
     * 項目リスト。
     *
     * フィールド: [itemList]。
     * デフォルト: [new java.util.ArrayList<blanco.pdf.page.valueobject.BlancoPdfItemDef>()]。
     */
    private List<blanco.pdf.page.valueobject.BlancoPdfItemDef> fItemList = new java.util.ArrayList<blanco.pdf.page.valueobject.BlancoPdfItemDef>();

    /**
     * フィールド [name] の値を設定します。
     *
     * フィールドの説明: [ブロックの名前 (ID)]。
     *
     * @param argName フィールド[name]に設定する値。
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド [name] の値を取得します。
     *
     * フィールドの説明: [ブロックの名前 (ID)]。
     *
     * @return フィールド[name]から取得した値。
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [x] の値を設定します。
     *
     * フィールドの説明: [PDF unit。72 PDF unit = 1 インチ。]。
     *
     * @param argX フィールド[x]に設定する値。
     */
    public void setX(final float argX) {
        fX = argX;
    }

    /**
     * フィールド [x] の値を取得します。
     *
     * フィールドの説明: [PDF unit。72 PDF unit = 1 インチ。]。
     * デフォルト: [-1]。
     *
     * @return フィールド[x]から取得した値。
     */
    public float getX() {
        return fX;
    }

    /**
     * フィールド [y] の値を設定します。
     *
     * @param argY フィールド[y]に設定する値。
     */
    public void setY(final float argY) {
        fY = argY;
    }

    /**
     * フィールド [y] の値を取得します。
     *
     * デフォルト: [-1]。
     *
     * @return フィールド[y]から取得した値。
     */
    public float getY() {
        return fY;
    }

    /**
     * フィールド [pitchX] の値を設定します。
     *
     * フィールドの説明: [繰り返しのずらしピッチ。]。
     *
     * @param argPitchX フィールド[pitchX]に設定する値。
     */
    public void setPitchX(final float argPitchX) {
        fPitchX = argPitchX;
    }

    /**
     * フィールド [pitchX] の値を取得します。
     *
     * フィールドの説明: [繰り返しのずらしピッチ。]。
     * デフォルト: [-1]。
     *
     * @return フィールド[pitchX]から取得した値。
     */
    public float getPitchX() {
        return fPitchX;
    }

    /**
     * フィールド [pitchY] の値を設定します。
     *
     * @param argPitchY フィールド[pitchY]に設定する値。
     */
    public void setPitchY(final float argPitchY) {
        fPitchY = argPitchY;
    }

    /**
     * フィールド [pitchY] の値を取得します。
     *
     * デフォルト: [-1]。
     *
     * @return フィールド[pitchY]から取得した値。
     */
    public float getPitchY() {
        return fPitchY;
    }

    /**
     * フィールド [maxOccurs] の値を設定します。
     *
     * フィールドの説明: [最大登場回数。]。
     *
     * @param argMaxOccurs フィールド[maxOccurs]に設定する値。
     */
    public void setMaxOccurs(final int argMaxOccurs) {
        fMaxOccurs = argMaxOccurs;
    }

    /**
     * フィールド [maxOccurs] の値を取得します。
     *
     * フィールドの説明: [最大登場回数。]。
     * デフォルト: [-1]。
     *
     * @return フィールド[maxOccurs]から取得した値。
     */
    public int getMaxOccurs() {
        return fMaxOccurs;
    }

    /**
     * フィールド [itemList] の値を設定します。
     *
     * フィールドの説明: [項目リスト。]。
     *
     * @param argItemList フィールド[itemList]に設定する値。
     */
    public void setItemList(final List<blanco.pdf.page.valueobject.BlancoPdfItemDef> argItemList) {
        fItemList = argItemList;
    }

    /**
     * フィールド [itemList] の値を取得します。
     *
     * フィールドの説明: [項目リスト。]。
     * デフォルト: [new java.util.ArrayList<blanco.pdf.page.valueobject.BlancoPdfItemDef>()]。
     *
     * @return フィールド[itemList]から取得した値。
     */
    public List<blanco.pdf.page.valueobject.BlancoPdfItemDef> getItemList() {
        return fItemList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.pdf.page.valueobject.BlancoPdfBlockDef[");
        buf.append("name=" + fName);
        buf.append(",x=" + fX);
        buf.append(",y=" + fY);
        buf.append(",pitchX=" + fPitchX);
        buf.append(",pitchY=" + fPitchY);
        buf.append(",maxOccurs=" + fMaxOccurs);
        buf.append(",itemList=" + fItemList);
        buf.append("]");
        return buf.toString();
    }
}
